> For the complete documentation index, see [llms.txt](https://docs.junkipedia.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.junkipedia.org/reference-material/api/query-string-parameters/post-type-and-platform.md).

# Post Type And Platform

The following API entry points provide the ability to search for records based on the type of post and the platform on which it it was published:

* GET /posts
* GET /posts/stats

With each of these endpoints, the following parameters allow filtering based on the types of posts and platforms:

* **post\_type** – a list of types from among the following options
  * video
  * photo
  * link
  * status
  * document
  * audio
  * podcast
* **platform\_names** – a list of platforms from among the following options
  * Bitchute
  * Facebook
  * GETTR
  * Gab
  * Instagram
  * OK
  * Parler
  * Podcast
  * Rumble
  * Telegram
  * TikTok
  * TruthSocial
  * Twitter
  * VK
  * YouTube

Each of these is considered an array parameter which allows multiple options to be added to a list in the same request.

The syntax for using these parameters involves appending empty square braces to the parameter before assigning it to one of the desired options. This can be repeated for multiple options. In the following example, only posts containing videos or photos are included in the list.

* GET /posts?post\_type\[]=video\&post\_type\[]=photo

Note that when either of these parameters is completely omitted, it is implied that all possible options are included. For example, the following two requests have the same effect:

* GET /posts?post\_type\[]=video\&post\_type\[]=photo\&post\_type\[]=link\&post\_type\[]=status
* GET /posts


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.junkipedia.org/reference-material/api/query-string-parameters/post-type-and-platform.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
